# ScriptDoc tag quick reference [edit]

This page provides an at-a-glance reference for the tags for the Aptana ScriptDoc system. For comprehensive ScriptDoc tag information, including syntax and examples, see the ScriptDoc comprehensive tag reference page.

## Reference

Tag | Description
@alias | ID for a class or function.
@author | Author of a JavaScript file or function.
@classDescription | Description of the class (if applicable).
@constructor | Signifies that a function is a constructor for a class.
@deprecated | Signifies that a function or a property has been deprecated.
@exception | Specifies the type of exception thrown by a function.
@id | Unique identifier for a function or property.
@inherits | Indicated one "class" derives from another.
@memberOf | Signifies that a function is a member of the specified class.
@method | Signifies that a function is a method of a class, if applicable.
@namespace | Creates the link between the namespace of a library file and an external .sdoc file.
@param | Use @param to tag each parameter for a function.
@projectDescription | Gives a description of the JavaScript file.
@return | Specifies information about the return value(s) of a function.
@sdoc | Defines the path to an external .sdoc file for a library file.
@see | Links to another related class or function.
@since | Specifies since which version the library, function, or property became valid.
@type | Specifies what data type a property is.
@version | Specifies the version number of the JavaScript file or class.

## Related Topics

- About Code Assist
- Displaying Code Assist
- Documenting your code using ScriptDoc
- Documenting your code in an .sdoc file
- Documenting dynamic properties and functions with ScriptDoc
- ScriptDoc comprehensive tag reference

Retrieved from "http://aptana.com/docs/index.php/ScriptDoc_tag_quick_reference"

Category: AptanaHelp